gh(1)

NAME

gh-browse - Open the repository in the browser

SYNOPSIS

gh browse [ | ] [flags]

DESCRIPTION

Open the GitHub repository in the web browser.

OPTIONS

-b, --branch=""
    Select another branch by passing in the branch name

-c, --commit[=false]
    Open the last commit

-n, --no-browser[=false]
    Print destination URL instead of opening the browser

-p, --projects[=false]
    Open repository projects

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

-s, --settings[=false]
    Open repository settings

-w, --wiki[=false]
    Open repository wiki

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE

    $ gh browse
    #=> Open the home page of the current repository
    $ gh browse 217
    #=> Open issue or pull request 217
    $ gh browse --settings
    #=> Open repository settings
    $ gh browse main.go:312
    #=> Open main.go at line 312
    $ gh browse main.go --branch main
    #=> Open main.go in the main branch

SEE ALSO

gh(1)